=== modified file 'NEWS'
--- NEWS	2005-03-25 03:47:50 +0000
+++ NEWS	2005-03-25 08:26:36 +0000
@@ -9,6 +9,8 @@
     * Less file flushing and faster performance when writing logs and
       committing to stores.
 
+    * More useful verbose output from some commands.
+
   BUG FIXES:
 
     * Fix inverted display of 'R' and 'M' during 'commit -v'.

=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2005-03-25 03:47:50 +0000
+++ bzrlib/branch.py	2005-03-25 08:26:36 +0000
@@ -542,9 +542,12 @@
         mutter("committing patch r%d" % (self.revno() + 1))
 
         mutter("append to revision-history")
-        self.controlfile('revision-history', 'at').write(rev_id + '\n')
+        f = self.controlfile('revision-history', 'at')
+        f.write(rev_id + '\n')
+        f.close()
 
-        mutter("done!")
+        if verbose:
+            note("commited r%d" % self.revno())
 
 
     def get_revision(self, revision_id):

